# Class Module

java.lang.Object
net.sf.statcvs.model.Module

All Implemented Interfaces:
  `Comparable`

public class Module extends Object implements Comparable

Author:
  Benoit

## Constructor Summary

Constructors
Constructor
Description
`Module(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFile(VersionedFile vf)`
`int`
`compareTo(Object mod)`
`int`
`getCurrentLinesOfCode()`
`SortedSet`
`getFiles()`
`String`
`getName()`
`SortedSet`
`getRevisions()`
Returns all `Revision`s to files in this directory, in order from oldest to most recent.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Module

public Module(String name)

## Method Details

### addFile

public void addFile(VersionedFile vf)

### getCurrentLinesOfCode

public int getCurrentLinesOfCode()

### getRevisions

public SortedSet getRevisions()
Returns all `Revision`s to files in this directory, in order from oldest to most recent.

Returns:
  list of `Revision`s for this directory

### compareTo

public int compareTo(Object mod)

Specified by:
  `compareTo` in interface `Comparable`

### getName

public String getName()

### getFiles

public SortedSet getFiles()